EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ClusterNodes_DeleteNode',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a node from the current cluster.'
GO

IF OBJECT_ID('[ClusterNodes_DeleteNode]') IS NOT NULL
	DROP PROCEDURE [ClusterNodes_DeleteNode]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ClusterNodes_DeleteNode]
(
	@Server_Name NVARCHAR(64),
	@NodeType_Code CHAR(1)
)
AS
BEGIN
SET NOCOUNT ON

	DELETE [ClusterNodes]
	 WHERE [Server_Name] = @Server_Name
	   AND [NodeType_Code] = @NodeType_Code



END
GO

GRANT EXECUTE ON [ClusterNodes_DeleteNode] TO [ProGetUser_Role]
GO
